| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
PresentationQosPolicy Class Reference

Specifies how the samples representing changes to data instances are presented to the subscribing application. More...

`#include <QosPolicies.hpp>`

Inheritance diagram for PresentationQosPolicy:
[legend]

## Public Member Functions

FASTDDS_EXPORTED_API | PresentationQosPolicy ()
| Constructor without parameters.
virtual FASTDDS_EXPORTED_API | ~PresentationQosPolicy ()=default
| Destructor.
bool | operator== (const PresentationQosPolicy &b) const
void | clear () override
| Clears the QosPolicy object.
Public Member Functions inherited from Parameter_t
FASTDDS_EXPORTED_API | Parameter_t ()
| Constructor without parameters.
FASTDDS_EXPORTED_API | Parameter_t (ParameterId_t pid, uint16_t length)
| Constructor using a parameter PID and the parameter length.
virtual FASTDDS_EXPORTED_API | ~Parameter_t ()
| Destructor.
bool | operator== (const Parameter_t &b) const
Public Member Functions inherited from QosPolicy
| QosPolicy ()
| Constructor without parameters.
| QosPolicy (bool send_always)
| Constructor.
| QosPolicy (const QosPolicy &b)=default
| Copy Constructor.
virtual | ~QosPolicy ()=default
| Destructor.
bool | operator== (const QosPolicy &b) const
QosPolicy & | operator= (const QosPolicy &b)=default
virtual bool | send_always () const
| Whether it should always be sent.

## Public Attributes

PresentationQosPolicyAccessScopeKind | access_scope
| Access Scope Kind By default, INSTANCE_PRESENTATION_QOS.
bool | coherent_access
| Specifies support coherent access.
bool | ordered_access
| Specifies support for ordered access to the samples received at the subscription end.
Public Attributes inherited from Parameter_t
ParameterId_t | Pid
| Parameter ID. By default, PID_PAD.
uint16_t | length
| Parameter length. By default, 0.
Public Attributes inherited from QosPolicy
bool | hasChanged
| Boolean that indicates if the Qos has been changed with respect to the default Qos.

## Additional Inherited Members

Protected Attributes inherited from QosPolicy
bool | send_always_
| Boolean that indicates if the Qos has to be sent even if it is not changed.

## Detailed Description

Specifies how the samples representing changes to data instances are presented to the subscribing application.

This policy affects the application’s ability to specify and receive coherent changes and to see the relative order of changes.access_scope determines the largest scope spanning the entities for which the order and coherency of changes can be preserved. The two booleans control whether coherent access and ordered access are supported within the scope access_scope.

Warning
  This QosPolicy can be defined and is transmitted to the rest of the network but is not implemented in this version.

Note
  Immutable Qos Policy

## Constructor & Destructor Documentation

## ◆ PresentationQosPolicy()

FASTDDS_EXPORTED_API PresentationQosPolicy | ( |  | ) |

inline

Constructor without parameters.

## ◆ ~PresentationQosPolicy()

virtual FASTDDS_EXPORTED_API ~PresentationQosPolicy | ( |  | ) |

virtual default

Destructor.

## Member Function Documentation

## ◆ clear()

void clear | ( |  | ) |

inline override virtual

Clears the QosPolicy object.

Implements QosPolicy.

## ◆ operator==()

bool operator== | ( | const PresentationQosPolicy & | b | ) | const

inline

## Member Data Documentation

## ◆ access_scope

PresentationQosPolicyAccessScopeKind access_scope

Access Scope Kind
By default, INSTANCE_PRESENTATION_QOS.

## ◆ coherent_access

bool coherent_access

Specifies support coherent access.

That is, the ability to group a set of changes as a unit on the publishing end such that they are received as a unit at the subscribing end. by default, false.

## ◆ ordered_access

bool ordered_access

Specifies support for ordered access to the samples received at the subscription end.

That is, the ability of the subscriber to see changes in the same order as they occurred on the publishing end. By default, false.

The documentation for this class was generated from the following file:

- include/fastdds/dds/core/policy/QosPolicies.hpp